org.codehaus.plexus.lifecycle

## Interface LifecycleHandler

All Known Implementing Classes:
  AbstractLifecycleHandler, BasicLifecycleHandler, PassiveLifecycleHandler, PlexusLifecycleHandler

    public interface LifecycleHandler

### Method Summary

Methods
`void` `end(Object component, ComponentManager manager)`
`String` `getId()`
`void` `initialize()`
`void` `resume(Object component, ComponentManager manager)`
`void` `start(Object component, ComponentManager manager)`
`void` `suspend(Object component, ComponentManager manager)`

### Method Detail

#### getId

    String getId()

#### start

    void start(Object component,
             ComponentManager manager)
               throws PhaseExecutionException

Throws:
  `PhaseExecutionException`

#### suspend

    void suspend(Object component,
               ComponentManager manager)
                 throws PhaseExecutionException

Throws:
  `PhaseExecutionException`

#### resume

    void resume(Object component,
              ComponentManager manager)
                throws PhaseExecutionException

Throws:
  `PhaseExecutionException`

#### end

    void end(Object component,
           ComponentManager manager)
             throws PhaseExecutionException

Throws:
  `PhaseExecutionException`

#### initialize

    void initialize()